Percona Server with XtraDB

Make BUF_READ_AHEAD_AREA a constant

Reported by Vadim Tkachenko on 2010-07-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MySQL Server
Unknown
Unknown
Percona Server
Medium
Unassigned
Changed in percona-server:
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Oleg Tsarev (tsarev)
milestone: none → 5.1-12.0
Oleg Tsarev (tsarev) on 2010-07-22
Changed in percona-server:
status: Triaged → In Progress

Do you understand the patch?
This patch simply doesn't startup when small BP.
Useless patch for us....

Yasufumi,

So we need to make it working with default BP also.

On Fri, Jul 23, 2010 at 5:20 AM, Yasufumi Kinoshita
<email address hidden> wrote:
> Do you understand the patch?
> This patch simply doesn't startup when small BP.
> Useless patch for us....
>
> --
> Make BUF_READ_AHEAD_AREA a constant
> https://bugs.launchpad.net/bugs/606811
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Percona Server with XtraDB: In Progress
>
> Bug description:
> see http://bazaar.launchpad.net/~mysqlatfacebook/mysqlatfacebook/5.1/revision/3538
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/percona-server/+bug/606811/+subscribe
>

--
Vadim Tkachenko, CTO, Percona Inc.
Phone +1-888-401-3403,  Skype: vadimtk153
Schedule meeting: http://tungle.me/VadimTkachenko

Percona Training Workshops
http://www.percona.com/training/

Vadim,

The patch is not
"Make BUF_READ_AHEAD_AREA a constant".

But "Don't start up when small BP for which 64 page BUF_READ_AHEAD_AREA is too large".

So. I don't understand "working with default BP" meaning.
The patch is for "don't start up when small BP such as default".

And for small BP, BUF_READ_AHEAD_AREA should not be 64. it is too large.
(e.g. BP = 8MB, read ahed 1MB? why do you think it is needed?)

Vadim Tkachenko (vadim-tk) wrote :

Yasufumi,

The patch is to avoid expensive call
ut_min(64, ut_2_power_up(buf_pool->curr_size / 32))

function ut_2_power_up is CPU time consuming and not needed if we work
with big BP

On Fri, Jul 23, 2010 at 10:17 AM, Yasufumi Kinoshita
<email address hidden> wrote:
> Vadim,
>
> The patch is not
> "Make BUF_READ_AHEAD_AREA a constant".
>
> But "Don't start up when small BP for which 64 page BUF_READ_AHEAD_AREA is too large".
>
> So. I don't understand "working with default BP" meaning.
> The patch is for "don't start up when small BP such as default".
>
> And for small BP, BUF_READ_AHEAD_AREA should not be 64. it is too large.
> (e.g. BP = 8MB, read ahed 1MB? why do you think it is needed?)
>

--
Vadim Tkachenko, CTO, Percona Inc.
Phone +1-888-401-3403,  Skype: vadimtk153
Schedule meeting: http://tungle.me/VadimTkachenko

Percona Training Workshops
http://www.percona.com/training/

OK..
Do you mean to change the default and min size of BP to 32MB?
If so, I understand.

I will merge the patch to innodb_io_patches.patch later.

Vadim Tkachenko (vadim-tk) wrote :

32MB default for BP
and
#define BUF_READ_AHEAD_AREA 64
is OK for me

On Fri, Jul 23, 2010 at 10:34 AM, Yasufumi Kinoshita
<email address hidden> wrote:
> OK..
> Do you mean to change the default and min size of BP to 32MB?
> If so, I understand.
>
> I will merge the patch to innodb_io_patches.patch later.
>
> --
> Make BUF_READ_AHEAD_AREA a constant
> https://bugs.launchpad.net/bugs/606811
> You received this bug notification because you are a member of Percona
> developers, which is the registrant for Percona Server.
>
> Status in Percona Server with XtraDB: In Progress
>
> Bug description:
> see http://bazaar.launchpad.net/~mysqlatfacebook/mysqlatfacebook/5.1/revision/3538
>
>
>

--
Vadim Tkachenko, CTO, Percona Inc.
Phone +1-888-401-3403,  Skype: vadimtk153
Schedule meeting: http://tungle.me/VadimTkachenko

Percona Training Workshops
http://www.percona.com/training/

I still don't believe the effect of the patch.
little improvement of CPU resource at IO operation may not show effect.

Peter Zaitsev (pz-percona) wrote :

Yasufumi, Vadim,

What performance gains are we getting when it is constant ?
Can it be variable which is computed once on start rather than
constant (it looks like this would be similar speed for me)

If we need to set it to constant what is the minimum buffer pool
with which it is going to work ?

I think we can safely increase minimum buffer pool to 64M or so
in Percona Server (and change default) - If we ever will need to support
customers with very small systems we can consider having special build for
these.

On Fri, Jul 23, 2010 at 12:17 AM, Yasufumi Kinoshita <
<email address hidden>> wrote:

> Vadim,
>
> The patch is not
> "Make BUF_READ_AHEAD_AREA a constant".
>
> But "Don't start up when small BP for which 64 page BUF_READ_AHEAD_AREA
> is too large".
>
> So. I don't understand "working with default BP" meaning.
> The patch is for "don't start up when small BP such as default".
>
> And for small BP, BUF_READ_AHEAD_AREA should not be 64. it is too large.
> (e.g. BP = 8MB, read ahed 1MB? why do you think it is needed?)
>
> --
> Make BUF_READ_AHEAD_AREA a constant
> https://bugs.launchpad.net/bugs/606811
> You received this bug notification because you are a member of Percona
> developers, which is the registrant for Percona Server.
>
> Status in Percona Server with XtraDB: In Progress
>
> Bug description:
> see
> http://bazaar.launchpad.net/~mysqlatfacebook/mysqlatfacebook/5.1/revision/3538
>
>
>

--
Peter Zaitsev, CEO, Percona Inc.
Tel: +1 888 401 3401 ext 501 Skype: peter_zaitsev
24/7 Emergency Line +1 888 401 3401 ext 911

Percona Training Workshops
http://www.percona.com/training/

Oleg Tsarev (tsarev) on 2010-07-28
Changed in percona-server:
assignee: Oleg Tsarev (tsarev) → Yasufumi Kinoshita (yasufumi-kinoshita)

innodb_io_patches.patch of release-5.1.49-12 were already fixed.

Changed in percona-server:
status: In Progress → Fix Committed
Changed in percona-server:
status: Fix Committed → Fix Released
tags: added: innodb upstream
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.